org.eclipse.viatra.dse.statecoding

## Class TheStateCoder

- java.lang.Object
- - org.eclipse.viatra.dse.statecoding.TheStateCoder

- All Implemented Interfaces:
    IStateCoder

      public class TheStateCoder
      extends java.lang.Object
      implements IStateCoder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TheStateCoder(StatecodingDependencyGraph sdg, IObjectsProvider objectProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `addStateCode(StatecodingNode node)`
    `java.lang.String` | `addStateCode(StatecodingNode node, org.eclipse.emf.ecore.EObject eObject)`
    `java.lang.String` | `addStateCodeFromDependency(StatecodingDependency sd, org.eclipse.emf.ecore.EObject eObject)`
    `java.lang.Object` | `createActivationCode(IPatternMatch match)` Returns a pseudo-unique identifier that describes the given `IPatternMatch` in the context of the underlying model's current internal state.
    `java.lang.String` | `createStateCode()` Returns a pseudo-unique identifier that describes the underlying model's current internal state.
    `void` | `init(org.eclipse.emf.common.notify.Notifier notifier)` Initializes the state coder on the given model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TheStateCoder

          public TheStateCoder(StatecodingDependencyGraph sdg,
                               IObjectsProvider objectProvider)

  - ### Method Detail

    - #### init

          public void init(org.eclipse.emf.common.notify.Notifier notifier)

      Description copied from interface: `IStateCoder`
      Initializes the state coder on the given model.
      Specified by:
        `init` in interface `IStateCoder`

    - #### createStateCode

          public java.lang.String createStateCode()

      Description copied from interface: `IStateCoder`
      Returns a pseudo-unique identifier that describes the underlying model's current internal state.
      Specified by:
        `createStateCode` in interface `IStateCoder`
      Returns:
        an arbitrary `Object` that can be used as the identifier.

    - #### createActivationCode

          public java.lang.Object createActivationCode(IPatternMatch match)

      Description copied from interface: `IStateCoder`
      Returns a pseudo-unique identifier that describes the given `IPatternMatch` in the context of the underlying model's current internal state.
      Specified by:
        `createActivationCode` in interface `IStateCoder`
      Returns:
        an arbitrary `Object` that can be used as the identifier in the given state.

    - #### addStateCode

          public java.lang.String addStateCode(StatecodingNode node,
                                               org.eclipse.emf.ecore.EObject eObject)

    - #### addStateCode

          public java.lang.String addStateCode(StatecodingNode node)

    - #### addStateCodeFromDependency

          public java.lang.String addStateCodeFromDependency(StatecodingDependency sd,
                                                             org.eclipse.emf.ecore.EObject eObject)